=== modules/auth_diameter/Makefile ===
# $Id: Makefile 2 2005-06-13 16:47:24Z bogdan_iancu $
#
# Digest Authentication - Diameter support
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

auto_gen=
NAME=auth_diameter.so

include ../../Makefile.modules
