=== modules/pa/Makefile ===
# $Id: Makefile 318 2005-10-25 16:23:28Z bogdan_iancu $
#
# Presence Agent
#
# 
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=pa.so
LIBS=

DEFS+=-I/usr/include/libxml2 -I$(LOCALBASE)/include/libxml2 -I$(LOCALBASE)/include
LIBS+=-L/usr/include/lib  -L$(LOCALBASE)/lib -lxml2

include ../../Makefile.modules
