=== packaging/debian/changelog ===
openser (1.2.0-0) unstable; urgency=low

  * debian/control:
    + New packages: openser-presence-modules, openser-xmlrpc-module,
      openser-perl-module, openser-snmpstats-module, openser-xmpp-module
      (split from the -jabber-module package).
    + Build-Depends: libxmlrpc-c3-dev, libperl-dev, libsnmp9-dev.
  * debian/rules:
    + Always build the non-TLS flavour for Debian builds.
    + Add the new modules.
  * debian/openser.init:
    + Print out error messages if openser fails to start.
    + No longer needs to be run as root to dump core.
  * debian/patches/01_sourced_scripts.dpatch:
    + Removed; merged upstream.
  * debian/patches/02_openser.cfg.dpatch:
    + Removed; no longer needed.
  * debian/patches/12_fail_on_build_failure.dpatch:
    + Removed; merged upstream.
  * debian/patches/22_OpenPKG-SA-2006.042.dpatch:
    + Removed; fixed upstream (different fix).

 -- Julien BLACHE <jblache@debian.org>  Sat, 10 Mar 2007 19:43:06 +0100

openser (1.1.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/patches/21_arm_register_overlap.dpatch:
    + Removed; Merged upstream.
  * debian/patches/20_pdt_domains.c_lockfix.dpatch:
    + Removed; Merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Fri, 26 Jan 2007 16:58:48 +0100

openser (1.1.0-9) unstable; urgency=medium

  * debian/rules:
    + Fix sed substitution pattern to properly get rid of the PATH variable
      in the openserctl, openser_mysql and openser_postgresql scripts.

 -- Julien BLACHE <jblache@debian.org>  Fri, 12 Jan 2007 15:20:26 +0100

openser (1.1.0-8) unstable; urgency=high

  * debian/patches/22_OpenPKG-SA-2006.042.dpatch:
    + Added; security fix for OpenPKG-SA-2006.042 (closes: #404591).

 -- Julien BLACHE <jblache@debian.org>  Tue, 26 Dec 2006 22:13:26 +0100

openser (1.1.0-7) unstable; urgency=low

  * Sync packaging fixes from upstream CVS.
  * debian/control:
    + Fix wrong RFC number in description (3621 vs. 3261), spotted by Dan Pascu.
  * debian/rules:
    + Add avp_radius to RADIUS_MODULES, from Bogdan-Andrei Iancu.

 -- Julien BLACHE <jblache@debian.org>  Fri,  3 Nov 2006 13:35:18 +0100

openser (1.1.0-6) unstable; urgency=low

  * debian/patches/21_arm_register_overlap.dpatch:
    + Added; fix register overlap on arm (closes: #393858).

 -- Julien BLACHE <jblache@debian.org>  Sun, 22 Oct 2006 19:32:55 +0200

openser (1.1.0-5) unstable; urgency=low

  * debian/patches/20_20_pdt_domains.c_lockfix.dpatch:
    + Added; fix typo in modules/pdt/domains.c:306.

 -- Julien BLACHE <jblache@debian.org>  Sun,  8 Oct 2006 19:20:35 +0200

openser (1.1.0-4) unstable; urgency=low

  * debian/control:
    + openser-dbg is Priority: extra.
  * debian/patches/12_fail_on_build_failure.dpatch:
    + Added; abort the build if a module fails to build.
  * debian/rules:
    + Temporarily decrease optimisation on arm (closes: #390005).

 -- Julien BLACHE <jblache@debian.org>  Sun,  8 Oct 2006 12:11:55 +0200

openser (1.1.0-3) unstable; urgency=low

  * debian/rules:
    + Remove DH_COMPAT 4 compatibility code which was introduced only for
      Sarge backward-compatiblity in the upstream CVS; there's now a
      packaging directory dedicated to Sarge.
  * debian/control:
    + Build-Depends cleanup.
  * debian/patches/02_openser.cfg.dpatch:
    + Remove the C-style comment block containing fork=no, otherwise the
      default config file will trigger the test for fork=no in the
      initscript (closes: #386464).
  * debian/openser.README.Debian:
    + Document initscript behaviour wrt fork=no.
  * debian/openser.init:
    + Add LSB header.

 -- Julien BLACHE <jblache@debian.org>  Fri,  8 Sep 2006 15:04:58 +0200

openser (1.1.0-2) unstable; urgency=low

  * Initial Debian release (closes: #380450).

  * Official Debian builds have no TLS support due to the lack of OpenSSL
    license exception for OpenSER. Building TLS packages is supported using
    the upstream TLS tarball with no modifications (you'll need libssl-dev).

  * debian/openser.init:
    + Do not start OpenSER in the start target if fork=no is specified in
      the config file, so as to not break the boot process.
  * debian/rules:
    + Detect TLS/non-TLS sources, and enable TLS build accordingly.
    + get-orig-source will fetch the non-TLS version for the official builds.
    + Emulate debhelper v5 behaviour for debug symbols when build with
      DH_COMPAT 4 to ease Sarge backports.
  * debian/control:
    + Drop build-dependency on libssl-dev for official Debian builds.
    + Simplify dependencies/conflicts.

 -- Julien BLACHE <jblache@debian.org>  Sun, 30 Jul 2006 15:23:13 +0200

openser (1.1.0-1) unstable; urgency=low

  * New upstream release.
    + Packaging updated based on Daniel-Constantin's work upstream.
  * debian/patches/02_postgres_module_build.dpatch:
    + Removed; merged upstream.
  * debian/patches/01_ungentooize.dpatch:
    + Removed; merged upstream.
  * debian/copyright:
    + Updated based on upstream's.
  * debian/openser.postinst:
    + Change openser group GECOS to "OpenSER".
  * debian/control:
    + Rework package descriptions.
    + Add openser-unixodbc-module package.
    + Build-Depend on unixodbc-dev.
  * debian/rules:
    + Build the unixodbc module.
  * debian/patches/01_sourced_scripts.dpatch:
    + Added; remove the shebang line from scripts which aren't meant for
      direct execution.
  * debian/patches/10_no_lib64_on_64_bits.dpatch:
    + Added; use /usr/lib even on 64bit architectures.
  * debian/patches/11_always_smp.dpatch:
    + Added; always build an SMP-enabled OpenSER.

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Jul 2006 14:37:40 +0200

openser (1.0.1-1) unstable; urgency=low

  * Packaging sanitized.
  * Remove everything debconf-related; setting up an HA cluster is an
    advanced use of OpenSER which cannot be handled through debconf anyway.
  * debian/control:
    + Remove all -tls- packages.
    + Add missing build-depends: zlib1g-dev, flex, bison.

