=== packaging/debian/control ===
Source: openser
Section: net
Priority: optional
Maintainer: Debian VoIP Maintainers <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5), dpatch, libmysqlclient15-dev, libexpat1-dev, libxml2-dev, libpq-dev, libradiusclient-ng-dev, flex, bison, zlib1g-dev, unixodbc-dev, libxmlrpc-c3-dev, libperl-dev, libsnmp9-dev
Standards-Version: 3.7.2

Package: openser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: openser-mysql-module, openser-postgres-module, openser-unixodbc-module, openser-jabber-module, openser-cpl-module, openser-radius-modules, openser-presence-modules, openser-xmlrpc-module, openser-perl-module, openser-snmpstats-module, openser-xmpp-module
Description: very fast and configurable SIP proxy
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 C Shell-like scripting language provides full control over the server's
 behaviour. Its modular architecture allows only required functionality to be
 loaded.
 .
 Among others, the following modules are available: Digest Authentication, CPL
 scripts, Instant Messaging, MySQL support, Presence Agent, Radius
 Authentication, Record Routing, SMS Gateway, Jabber/XMPP Gateway, Transaction
 Module, Registrar and User Location, XMLRPC Interface.
 .
 This package contains the main OpenSER binary along with the principal modules
 and support binaries.

Package: openser-dbg
Priority: extra
Architecture: any
Depends: openser (= ${Source-Version})
Conflicts: openser (<< ${Source-Version})
Description: very fast and configurable SIP proxy [debug symbols]
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package contains the debugging symbols for the OpenSER binaries and
 modules. You only need to install it if you need to debug OpenSER.

Package: openser-mysql-module
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version}), mysql-client
Description: MySQL database connectivity module for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for OpenSER.

Package: openser-postgres-module
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version}), postgresql-client
Description: PostgreSQL database connectivity module for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for OpenSER.

Package: openser-jabber-module
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version})
Description: Jabber gateway module for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SIP to Jabber translator module for OpenSER.

Package: openser-cpl-module
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version})
Description: CPL module (CPL interpreter engine) for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 OpenSER, turning OpenSER into a CPL server (storage and interpreter).

Package: openser-radius-modules
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version})
Description: radius modules for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a set of Radius modules for OpenSER, for
 authentication, group membership and messages URIs checking against a
 Radius Server.

Package: openser-unixodbc-module 
Architecture: any 
Depends: ${shlibs:Depends}, openser (= ${Source-Version})
Description: unixODBC database connectivity module for OpenSER 
 OpenSER is a very fast and flexible SIP (RFC3261) 
 proxy server. Written entirely in C, OpenSER can handle thousands calls 
 per second even on low-budget hardware. 
 . 
 This package provides the unixODBC database driver for OpenSER. 

Package: openser-presence-modules
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version})
Description: SIMPLE presence modules for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides several OpenSER modules for implementing presence
 server and presence user agent for RICH presence, registrar-based presence,
 external triggered presence and XCAP support.

Package: openser-xmlrpc-module
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version})
Description: XMLRPC support for OpenSER's Management Interface
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the XMLRPC transport implementation for OpenSER's
 Management Interface.

Package: openser-perl-module
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version})
Description: Perl module for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides an interface for OpenSER to write Perl extensions.

Package: openser-snmpstats-module
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version}), snmpd
Description: SNMP AgentX subagent module for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the snmpstats module for OpenSER. This module acts
 as an AgentX subagent which connects to a master agent.

Package: openser-xmpp-module
Architecture: any
Depends: ${shlibs:Depends}, openser (= ${Source-Version})
Description: XMPP gateway module for OpenSER
 OpenSER is a very fast and flexible SIP (RFC3261)
 proxy server. Written entirely in C, OpenSER can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SIP to XMPP IM translator module for OpenSER.
